<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bussiness.mapper.BussinessBonusStaticMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bussinessBonusStaticResultMap" type="org.springblade.modules.guosen.bussiness.entity.BussinessBonusStatic">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="date" property="date"/>
        <result column="total_amt" property="totalAmt"/>
        <result column="fee" property="fee"/>
        <result column="service_amt" property="serviceAmt"/>
        <result column="bonus_amt" property="bonusAmt"/>
        <result column="remark" property="remark"/>
        <result column="parent_bussiness_id" property="parentBussinessId"/>
    </resultMap>


    <select id="selectBussinessBonusStaticPage" resultMap="bussinessBonusStaticResultMap">
        select * from cyzh_bussiness_bonus_static where is_deleted = 0
    </select>

</mapper>
